[blfs-support] Important: Fix for shellshock bash bug

Fernando de Oliveira famobr at yahoo.com.br
Sat Sep 27 07:37:02 PDT 2014


On 27-09-2014 10:33, Fernando de Oliveira wrote:
> On 26-09-2014 14:45, Bruce Dubbs wrote:
>> It is critical that all LFS users update their current version of bash
>> to fix the shellshock bug.  [1][2]
>>
>> All users should update their current version of bash according to the
>> instructions at:
>>
>> http://www.linuxfromscratch.org/lfs/view/development/chapter06/bash.html
>>
>> Note 1: The suffix in bash-4.3-upstream_fixes-4.patch has changed.
>>
>> Note 2: Older installations of bash versions before 4.3 may also need to
>> also install readline-6.3.
> 
> (Big?) problem in LFS71-svn (see attached image). This is a machine I
> really use for some specific private matters.
> 
> Hope it will not affect other packages.
> 
> Unfortunately, already installed in my main machine, also LFS71-svn
> 
> Both:
> 
> $ cat /etc/lfs-release
> SVN-20120311

Sorry for the other message. Will reproduce info I sent there and also
new ones here, to keep a better thread flow.

> Updates:
> 
> 1. Message didn't appear in the list. Removed a word from the title.
> 
> 2. Problem solved in the virtual machine, after reinstalled LLVM2 with
> same version, l2.02.96.
> 
> Now, will reboot the host, to see if it will be necessary there as well.

After reboot, new problem:

3. fcron-3.2.0 didn't start.

All problems solved by reinstalling. I am anticipating more such
problems, fortunately solved by reinstalls. Bad, if we have large
packages affected.

Enigmail in Thunderbird complained, probably same issue.

-- 
[]s,
Fernando


More information about the blfs-support mailing list